##### windows::basic_stream_handle::basic_stream_handle (2 of 5 overloads)

Construct a stream handle without opening it.

    template<
        typename ExecutionContext>
    basic_stream_handle(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value, basic_stream_handle >::type *  = 0);

This constructor creates a stream handle without opening it. The handle needs to be opened or assigned before data can be sent or received on it.

###### Parameters

context

  An execution context which provides the I/O executor that the stream handle will use, by default, to dispatch handlers for any asynchronous operations performed on the stream handle.